### Signal

# GtkSource View::change-case

#### Declaration

    void
    change_case (
      GtkSourceView* self,
      GtkSourceChangeCaseType case_type,
      gpointer user_data
    )

#### Description [src]

Keybinding signal to change case of the text at the current cursor position.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`case_type`

  Type: `GtkSourceChangeCaseType`

  The case to use.